t = tiledlayout(1,1);
h_title=title(t,'Proximity sensor measurements during Phase 2','FontSize',11);
h_title.Interpreter = 'latex';
t.Padding = 'compact';
t.TileSpacing = 'compact';

nexttile
plot(t_ph2(end)-h:h:sim_time,d1(t_ph2(end)/h:end),t_ph2(end)-h:h:sim_time,d2(t_ph2(end)/h:end))
% h_title = title('Measured distance from sensor one, $d_1$, and sensor two, $d_2$, to the dock','FontSize',11);
x_label = xlabel('Time [s]','FontSize',11);
y_label = ylabel('Distance [m]','FontSize',11);
x_label.Interpreter = 'latex';
y_label.Interpreter = 'latex';
h_title.Interpreter = 'latex';
set(gca,'FontSize',11);
h_legend=legend('$d_1$','$d_2$');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
ylim([0,max([max(d1((t_ph2(end)/0.01):end)),max(d2((t_ph2(end)/0.01):end))])+d_ref])
xlim([t_ph2(end)-h,sim_time])
grid on
set(gca,'TickLabelInterpreter','latex')
%xlim([85,180])