close
figure(1)
hold on;
plot([0 50], [10 5], 'Color',[0 0.4470 0.7410])
plot([50 50],[5 2.43], '--')
plot([50 52],[2.43 2],'Color',[0 0.4470 0.7410])
plot([52 70],[2 0],'Color',[0 0.4470 0.7410])
xlim([0,100])
ylim([0,10])
grid on
set(gca,'TickLabelInterpreter','latex')
x_label = xlabel('Time [s]','FontSize',11);
x_label.Interpreter = 'latex';
y_label = ylabel('Distance [m]','FontSize',11);
y_label.Interpreter = 'latex';
h_legend=legend('$d_{2}$-measurement');
set(h_legend,'Orientation','vertical','location','best','FontSize',...
    11,'Color','None','Interpreter','latex');
txt = '$\leftarrow$ Object entering sensor view';
t = text(50,5,txt);
t.Interpreter = 'latex';
t.FontSize = 11;

 te = text(70,0.1,'$\leftarrow$ Collision');
 te.Interpreter = 'latex';
 te.FontSize = 11;
 set(te,'Rotation',15); % tilt